"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
(function () {
    var _this = this;
    var bodyClass = "ebwp-is-active";
    var controller = new AbortController();
    var signal = controller.signal;
    var messageBox = document.querySelector("#everest-backup-container #message-box");
    var abortBtn = document.querySelector("#backup-on-process #btn-abort");
    var backupOnProcessWrapper = document.getElementById('backup-on-process');
    var processBar = document.querySelector('#backup-on-process #process-info .progress .progress-bar');
    var processInfo = document.querySelector('#backup-on-process #process-info .process-message');
    var logsContainer = document.getElementById("everest-backup-logs-container");
    var ModalContainer = document.getElementById('everest-backup-modal-wrapper');
    var LoaderWrapper = ModalContainer.querySelector('.loader-wrapper');
    var AfterProcessComplete = ModalContainer.querySelector('.after-process-complete');
    var AfterProcessSuccess = AfterProcessComplete.querySelector('.after-process-success');
    var AfterProcessError = AfterProcessComplete.querySelector('.after-process-error');
    var BackupCompleteModalFooter = ModalContainer.querySelector('#backup-complete-modal-footer');
    var modalDismissWrapper = document.getElementById("btn-modal-dismiss-wrapper");
    var isDoingBackup = false;
    var ajaxUrl = _everest_backup.ajaxUrl, _nonce = _everest_backup._nonce, locale = _everest_backup.locale;
    var setMessage = function (message) {
        messageBox.innerHTML = "";
        if (!message) {
            messageBox.classList.add("hidden");
            return;
        }
        messageBox.classList.remove("hidden");
        messageBox.innerHTML = "<p><strong>" + message + "</strong></p>";
    }; // setMessage.
    var renderLogs = function (logs, element) {
        if (!logs.length) {
            return;
        }
        if (null === element) {
            return;
        }
        var logsHTML = '<ul class="everest-backup-logs-list">';
        logs.map(function (log, index) {
            var logType = "";
            var _a = log, type = _a.type, message = _a.message;
            if ("undefined" === typeof message) {
                return;
            }
            logType = type;
            if ("done" === type) {
                logType = "success";
            }
            logsHTML += "<li class=\"logs-list-item item-key-" + index + " notice notice-" + logType + "\">" + message + "</li>";
        });
        logsHTML += "</ul>";
        element.innerHTML = logsHTML;
        element.classList.remove("hidden");
    };
    var resetLogContainer = function (element) {
        if (null === element) {
            return;
        }
        element.classList.add("hidden");
        element.innerHTML = "";
    };
    var ajaxHandler = function (action, init) {
        var url = ajaxUrl + "?action=" + action + "&everest_backup_ajax_nonce=" + _nonce;
        return fetch(url, init);
    }; // ajaxHandler.
    /**
     * Send our ajax request for backup.
     *
     * Default action: "everest_backup_export"
     */
    var ajaxRequestBackup = function (data, action) {
        if (data === void 0) { data = {}; }
        return __awaiter(_this, void 0, void 0, function () {
            var response;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        isDoingBackup = true;
                        return [4 /*yield*/, ajaxHandler(action, {
                                method: "POST",
                                headers: {
                                    "Content-Type": "application/json",
                                },
                                mode: "no-cors",
                                signal: signal,
                                body: JSON.stringify(data), // Body data type must match "Content-Type" header
                            })];
                    case 1:
                        response = _a.sent();
                        return [2 /*return*/, response.json()];
                }
            });
        });
    }; // ajaxRequestBackup.
    /**
     * Toggle modal on/off.
     */
    var handleModalUI = function (isActive) {
        if (isActive) {
            document.body.classList.add(bodyClass);
            BackupCompleteModalFooter.innerHTML = '';
            modalDismissWrapper === null || modalDismissWrapper === void 0 ? void 0 : modalDismissWrapper.classList.add("hidden");
            LoaderWrapper.classList.remove('hidden');
            AfterProcessComplete.classList.add('hidden');
            AfterProcessSuccess === null || AfterProcessSuccess === void 0 ? void 0 : AfterProcessSuccess.classList.add('hidden');
            AfterProcessError === null || AfterProcessError === void 0 ? void 0 : AfterProcessError.classList.add('hidden');
        }
        else {
            LoaderWrapper.classList.add('hidden');
            AfterProcessComplete.classList.remove('hidden');
            modalDismissWrapper === null || modalDismissWrapper === void 0 ? void 0 : modalDismissWrapper.classList.remove("hidden");
        }
    };
    /**
     * Init backup work.
     */
    var Backup = function () {
        var backupForm = document.querySelector("#everest-backup-container #backup-form");
        var btnBackup = document.querySelector("#everest-backup-container #btn-backup");
        if (null === backupForm) {
            return;
        }
        if (null === btnBackup) {
            return;
        }
        /**
         * Zip file download button anchor tag.
         */
        var zipDownloadBtn = function (zipUrl) {
            if (zipUrl === void 0) { zipUrl = ""; }
            var element = document.createElement("a");
            element.id = "zip-download-link";
            element.href = zipUrl;
            element.target = "_blank";
            element.text = locale.zipDownloadBtn;
            element.setAttribute("class", "button");
            return element;
        };
        var generateMigrationKeyBtn = function (url) {
            if (url === void 0) { url = ''; }
            var element = document.createElement("a");
            element.id = "generate-migration-key";
            element.href = url;
            element.text = locale.migrationPageBtn;
            element.setAttribute("class", "button");
            return element;
        };
        /**
         * Disable or Enable the backup button.
         */
        var disableBackupBtn = function (disable) {
            if (disable) {
                abortBtn.classList.remove("hidden");
                btnBackup.setAttribute("disabled", "disabled");
            }
            else {
                abortBtn.classList.add("hidden");
                btnBackup.removeAttribute("disabled");
            }
        };
        /**
         * Start backup related work on backup button clicked.
         */
        backupForm &&
            backupForm.addEventListener("submit", function (event) {
                event.preventDefault();
                var data = {};
                var formData = new FormData(backupForm);
                formData.forEach(function (value, key) {
                    data[key] = value;
                });
                setMessage(locale.backupMessage);
                var zipDnldLink = document.querySelector("#everest-backup-container #zip-download-link");
                zipDnldLink && zipDnldLink.remove();
                resetLogContainer(logsContainer);
                handleModalUI(true);
                disableBackupBtn(true);
                var action = 'everest_backup_backup_init';
                var barWidth = 0;
                var barWidthInterval = 0;
                var processInterval = 100;
                var sendResponse = function () {
                    processInterval = processInterval + 50;
                    if (barWidthInterval) {
                        clearInterval(barWidthInterval);
                    }
                    barWidthInterval = setInterval(function () {
                        if (barWidth > 70) {
                            clearInterval(barWidthInterval);
                            return;
                        }
                        barWidth = barWidth + 0.1;
                        processBar.style.width = barWidth + "%";
                    }, processInterval);
                    ajaxRequestBackup(data, action).then(function (response) {
                        var next_action = response.next_action, status = response.status, message = response.message;
                        action = next_action;
                        processBar.style.width = barWidth + "%";
                        barWidth = barWidth + 5;
                        if ('in-process' === status) {
                            processInfo.innerText = message;
                            if (true !== signal.aborted) {
                                /**
                                 * First check if user has aborted the process or not then resend the response after 3 seconds.
                                 */
                                setTimeout(sendResponse, 3000);
                            }
                            else {
                                clearInterval(barWidthInterval);
                            }
                        }
                        else {
                            clearInterval(barWidthInterval);
                            barWidthInterval = setInterval(function () {
                                if (barWidth >= 99.9) {
                                    clearInterval(barWidthInterval);
                                    setTimeout(function () {
                                        processInfo.innerText = '';
                                        isDoingBackup = false;
                                        setMessage("");
                                        handleModalUI(false);
                                        disableBackupBtn(false);
                                        var success = response.success, data = response.data;
                                        var logs = data.logs, result = data.result;
                                        renderLogs(logs, logsContainer);
                                        if (!success) {
                                            AfterProcessError === null || AfterProcessError === void 0 ? void 0 : AfterProcessError.classList.remove('hidden');
                                            return;
                                        }
                                        var zipurl = result.zipurl, migration_url = result.migration_url;
                                        if (zipurl) {
                                            BackupCompleteModalFooter.appendChild(zipDownloadBtn(zipurl));
                                            migration_url && BackupCompleteModalFooter.appendChild(generateMigrationKeyBtn(migration_url));
                                        }
                                        AfterProcessSuccess === null || AfterProcessSuccess === void 0 ? void 0 : AfterProcessSuccess.classList.remove('hidden');
                                    }, 1000);
                                    return;
                                }
                                barWidth = barWidth + 0.1;
                                processBar.style.width = barWidth + "%";
                            }, 10);
                        }
                    }).catch(function (err) {
                        clearInterval(barWidthInterval);
                        isDoingBackup = false;
                        console.error(err);
                        if (true === signal.aborted) {
                            return;
                        }
                        handleModalUI(false);
                        disableBackupBtn(false);
                        AfterProcessError === null || AfterProcessError === void 0 ? void 0 : AfterProcessError.classList.remove('hidden');
                    });
                };
                sendResponse();
            });
    }; // Backup.
    var Abort = function () {
        if (null === abortBtn) {
            return;
        }
        abortBtn.addEventListener("click", function (event) {
            event.preventDefault();
            if (confirm(_everest_backup.locale.abortAlert)) {
                setMessage(_everest_backup.locale.abortMessage);
                backupOnProcessWrapper.innerHTML = "<strong>" + _everest_backup.locale.abortMessage + "</strong>";
                controller.abort();
            }
        });
        signal.addEventListener("abort", function () {
            ajaxHandler("everest_backup_abort", {
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({
                    type: isDoingBackup ? "backup" : "",
                }),
            }).then(function () {
                window.location.href = window.location.href;
            });
        });
    }; // Abort.
    /**
     * Settings for schedule backup fields.
     */
    var ScheduleBackup = function () {
        var enableDisableCheckbox = document.querySelector("#everest-backup-container #schedule-backup #enable-disable");
        var tableRows = document.querySelectorAll("#everest-backup-container #schedule-backup .schedule-backup-table-rows");
        var eventListenerCallback = function () {
            tableRows.forEach(function (tableRow) {
                if (enableDisableCheckbox.checked) {
                    tableRow === null || tableRow === void 0 ? void 0 : tableRow.classList.remove("hidden");
                }
                else {
                    tableRow === null || tableRow === void 0 ? void 0 : tableRow.classList.add("hidden");
                }
            });
        };
        eventListenerCallback();
        enableDisableCheckbox === null || enableDisableCheckbox === void 0 ? void 0 : enableDisableCheckbox.addEventListener("input", eventListenerCallback);
    };
    /**
     * After document is fully loaded.
     */
    window.addEventListener("load", function () {
        document.body.classList.remove(bodyClass);
        Backup();
        Abort();
        ScheduleBackup();
    });
})();
//# sourceMappingURL=backup.js.map