<?php
/**
 * Class for handling database export.
 *
 * @package everest-backup
 */

namespace Everest_Backup\Modules;

use Everest_Backup\Database;

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class for handling database export.
 *
 * @since 1.0.0
 */
class Export_Database extends Database {

	/**
	 * Init class.
	 *
	 * @param string $filename Full path to the sql file.
	 * @since 1.0.0
	 */
	public function __construct( $filename ) {
		global $wpdb;

		$this->filename      = $filename;
		$this->old_db_prefix = $wpdb->prefix;
		$this->new_db_prefix = 'EBWP_DB_PREFIX_';

		parent::__construct( $wpdb );
	}

	/**
	 * Returns database dump queries.
	 *
	 * @return bool
	 * @since 1.0.0
	 */
	public function export() {
		$this->query( "SET SESSION sql_mode = ''" );

		return $this->dump_sql();

	}
}

