<?php
/**
 * Template file for the main backup page.
 *
 * @package everest-backup
 */

use Everest_Backup\Modules\Migration_Clone_Tab;

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$everest_backup_migration_clone_tab = new Migration_Clone_Tab();

everest_backup_render_view(
	'template-parts/modal',
	array(
		'on_process_msg' => __( 'The cloning is in progress. Please do not close this window or tab.' ),
	)
);

?>
<div class="wrap">

	<hr class="wp-header-end">

	<?php
		everest_backup_render_view( 'template-parts/header' );
	?>
	<main class="everest-backup-wrapper">
		<div id="everest-backup-container">
			<?php $everest_backup_migration_clone_tab->display(); ?>
		</div>

		<?php everest_backup_render_view( 'template-parts/sidebar' ); ?>
	</main>
</div>
